PETSc version 3.15.5
Fix/Edit manual page

# VecCreateSeq

Creates a standard, sequential array-style vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecCreateSeq(MPI_Comm comm,PetscInt n,Vec *v)

Collective

### Input Parameter

| comm | - the communicator, should be PETSC_COMM_SELF
| n | - the vector length

### Output Parameter

| V | - the vector

### Notes

Use VecDuplicate() or VecDuplicateVecs() to form additional vectors of the same type as an existing vector.

### See Also

VecCreateMPI(), VecCreate(), VecDuplicate(), VecDuplicateVecs(), VecCreateGhost()

### Level

intermediate

### Location

src/vec/vec/impls/seq/vseqcr.c

### Examples

src/vec/vec/tutorials/ex1.c.html
src/vec/vec/tutorials/ex11.c.html
src/vec/vec/tutorials/ex1f.F90.html
src/vec/vec/tutorials/ex1f90.F90.html
src/vec/vec/tutorials/ex4f.F.html
src/vec/vec/tutorials/ex4f90.F90.html
src/vec/vec/tutorials/ex11f.F.html
src/vec/vec/tutorials/ex11f90.F90.html
src/vec/vec/tutorials/ex20f90.F90.html
src/dm/field/tutorials/ex1.c.html
src/ksp/pc/tutorials/ex1.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages